com.jscape.inet.mft.resources

## Class WebDavResourceDescriptor

- java.lang.Object
- - com.jscape.inet.mft.resources.WebDavResourceDescriptor

- All Implemented Interfaces:
    com.jscape.inet.mft.resources.RemoteResourceDescriptor<WebDavResourceDescriptor.Handler>, com.jscape.util.db.IntVersioned, ResourceDescriptor

      public class WebDavResourceDescriptor
      extends java.lang.Object
      implements com.jscape.inet.mft.resources.RemoteResourceDescriptor<WebDavResourceDescriptor.Handler>

  WebDAV resource descriptor. Contains information about remote WebDAV connection.
  Author:
    Alex

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static interface` | `WebDavResourceDescriptor.Handler`

    - ### Nested classes/interfaces inherited from interface com.jscape.inet.mft.resources.RemoteResourceDescriptor

      `com.jscape.inet.mft.resources.RemoteResourceDescriptor.HandlerBase`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `WebDavResourceDescriptor()` Creates a new descriptor instance.
    `WebDavResourceDescriptor(java.lang.String name, java.lang.String host, int port, java.lang.String path, boolean useSsl, java.lang.String domain, java.lang.String username, java.lang.String password, boolean usingCredentials, com.jscape.inet.mft.RemoteDirectory remoteDirectory, java.lang.String logDirectory, java.lang.String[] tags, long creationDate, int version)`
    `WebDavResourceDescriptor(WebDavResourceDescriptor that)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `accept(WebDavResourceDescriptor.Handler handler)`
    `WebDavResourceDescriptor` | `copy()`
    `boolean` | `equals(java.lang.Object o)`
    `long` | `getCreationDate()`
    `java.lang.String` | `getDomain()`
    `java.lang.String` | `getHost()` Returns server hostname/IP.
    `java.lang.String` | `getLogDirectory()`
    `java.lang.String` | `getName()` Returns resource name.
    `java.lang.String` | `getPassword()` Returns connection password.
    `java.lang.String` | `getPath()`
    `int` | `getPort()` Returns server port.
    `java.lang.String` | `getProtocol()`
    `com.jscape.inet.mft.RemoteDirectory` | `getRemoteDirectory()`
    `java.lang.String[]` | `getTags()`
    `java.lang.Long` | `getTimeToLive()`
    `java.lang.String` | `getUsername()` Returns username.
    `int` | `getVersion()`
    `int` | `hashCode()`
    `boolean` | `isUseSsl()`
    `boolean` | `isUsingCredentials()` Returns use user credentials indicator.
    `void` | `setCreationDate(long value)`
    `void` | `setDomain(java.lang.String value)`
    `void` | `setHost(java.lang.String value)` Sets server hostname/IP.
    `void` | `setLogDirectory(java.lang.String value)`
    `void` | `setName(java.lang.String value)` Sets resource name.
    `void` | `setPassword(java.lang.String value)` Sets connection password.
    `void` | `setPath(java.lang.String path)`
    `void` | `setPort(int value)` Sets server port.
    `void` | `setRemoteDirectory(com.jscape.inet.mft.RemoteDirectory value)`
    `void` | `setTags(java.lang.String[] value)`
    `void` | `setUsername(java.lang.String value)` Sets username.
    `void` | `setUseSsl(boolean value)`
    `void` | `setUsingCredentials(boolean value)` Sets use user credentials.
    `void` | `setVersion(int value)`
    `java.lang.String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### WebDavResourceDescriptor

          public WebDavResourceDescriptor(java.lang.String name,
                                          java.lang.String host,
                                          int port,
                                          java.lang.String path,
                                          boolean useSsl,
                                          java.lang.String domain,
                                          java.lang.String username,
                                          java.lang.String password,
                                          boolean usingCredentials,
                                          com.jscape.inet.mft.RemoteDirectory remoteDirectory,
                                          java.lang.String logDirectory,
                                          java.lang.String[] tags,
                                          long creationDate,
                                          int version)

    - #### WebDavResourceDescriptor

          public WebDavResourceDescriptor(WebDavResourceDescriptor that)

    - #### WebDavResourceDescriptor

          public WebDavResourceDescriptor()

      Creates a new descriptor instance.

  - ### Method Detail

    - #### getName

          public java.lang.String getName()

      Returns resource name.
      Specified by:
        `getName` in interface `ResourceDescriptor`
      Returns:
        resource name

    - #### setName

          public void setName(java.lang.String value)

      Sets resource name.
      Parameters:
        `value` - the resource name

    - #### getHost

          public java.lang.String getHost()

      Returns server hostname/IP.
      Specified by:
        `getHost` in interface `com.jscape.inet.mft.resources.RemoteResourceDescriptor<WebDavResourceDescriptor.Handler>`
      Returns:
        server hostname/IP

    - #### getProtocol

          public java.lang.String getProtocol()

      Specified by:
        `getProtocol` in interface `com.jscape.inet.mft.resources.RemoteResourceDescriptor<WebDavResourceDescriptor.Handler>`

    - #### setHost

          public void setHost(java.lang.String value)

      Sets server hostname/IP.
      Parameters:
        `value` - the server hostname/IP

    - #### getPort

          public int getPort()

      Returns server port.
      Returns:
        server port

    - #### setPort

          public void setPort(int value)

      Sets server port.
      Parameters:
        `value` - the server port

    - #### getPath

          public java.lang.String getPath()

    - #### setPath

          public void setPath(java.lang.String path)

    - #### isUseSsl

          public boolean isUseSsl()

    - #### setUseSsl

          public void setUseSsl(boolean value)

    - #### getDomain

          public java.lang.String getDomain()

    - #### setDomain

          public void setDomain(java.lang.String value)

    - #### getUsername

          public java.lang.String getUsername()

      Returns username.
      Specified by:
        `getUsername` in interface `com.jscape.inet.mft.resources.RemoteResourceDescriptor<WebDavResourceDescriptor.Handler>`
      Returns:
        username

    - #### setUsername

          public void setUsername(java.lang.String value)

      Sets username.
      Specified by:
        `setUsername` in interface `com.jscape.inet.mft.resources.RemoteResourceDescriptor<WebDavResourceDescriptor.Handler>`
      Parameters:
        `value` - the username

    - #### getPassword

          public java.lang.String getPassword()

      Returns connection password.
      Specified by:
        `getPassword` in interface `com.jscape.inet.mft.resources.RemoteResourceDescriptor<WebDavResourceDescriptor.Handler>`
      Returns:
        connection password

    - #### setPassword

          public void setPassword(java.lang.String value)

      Sets connection password.
      Specified by:
        `setPassword` in interface `com.jscape.inet.mft.resources.RemoteResourceDescriptor<WebDavResourceDescriptor.Handler>`
      Parameters:
        `value` - the connection password

    - #### isUsingCredentials

          public boolean isUsingCredentials()

      Returns use user credentials indicator.
      Specified by:
        `isUsingCredentials` in interface `com.jscape.inet.mft.resources.RemoteResourceDescriptor<WebDavResourceDescriptor.Handler>`
      Returns:
        `true` user will authenticate to FTP resource using current user credentials, `false` otherwise

    - #### setUsingCredentials

          public void setUsingCredentials(boolean value)

      Sets use user credentials. When it is `true` user will authenticate to FTP resource with the current user credentials
      Parameters:
        `value` - Indicates use current user credentials

    - #### getRemoteDirectory

          public com.jscape.inet.mft.RemoteDirectory getRemoteDirectory()

      Specified by:
        `getRemoteDirectory` in interface `com.jscape.inet.mft.resources.RemoteResourceDescriptor<WebDavResourceDescriptor.Handler>`

    - #### setRemoteDirectory

          public void setRemoteDirectory(com.jscape.inet.mft.RemoteDirectory value)

      Specified by:
        `setRemoteDirectory` in interface `com.jscape.inet.mft.resources.RemoteResourceDescriptor<WebDavResourceDescriptor.Handler>`

    - #### getLogDirectory

          public java.lang.String getLogDirectory()

    - #### setLogDirectory

          public void setLogDirectory(java.lang.String value)

    - #### getTimeToLive

          public java.lang.Long getTimeToLive()

      Specified by:
        `getTimeToLive` in interface `ResourceDescriptor`

    - #### getTags

          public java.lang.String[] getTags()

      Specified by:
        `getTags` in interface `com.jscape.inet.mft.resources.RemoteResourceDescriptor<WebDavResourceDescriptor.Handler>`

    - #### setTags

          public void setTags(java.lang.String[] value)

      Specified by:
        `setTags` in interface `com.jscape.inet.mft.resources.RemoteResourceDescriptor<WebDavResourceDescriptor.Handler>`

    - #### getCreationDate

          public long getCreationDate()

      Specified by:
        `getCreationDate` in interface `com.jscape.inet.mft.resources.RemoteResourceDescriptor<WebDavResourceDescriptor.Handler>`

    - #### setCreationDate

          public void setCreationDate(long value)

      Specified by:
        `setCreationDate` in interface `com.jscape.inet.mft.resources.RemoteResourceDescriptor<WebDavResourceDescriptor.Handler>`

    - #### getVersion

          public int getVersion()

      Specified by:
        `getVersion` in interface `com.jscape.util.db.IntVersioned`

    - #### setVersion

          public void setVersion(int value)

      Specified by:
        `setVersion` in interface `com.jscape.util.db.IntVersioned`

    - #### copy

          public WebDavResourceDescriptor copy()

      Specified by:
        `copy` in interface `com.jscape.inet.mft.resources.RemoteResourceDescriptor<WebDavResourceDescriptor.Handler>`

    - #### accept

          public void accept(WebDavResourceDescriptor.Handler handler)
                      throws java.lang.Exception

      Specified by:
        `accept` in interface `com.jscape.inet.mft.resources.RemoteResourceDescriptor<WebDavResourceDescriptor.Handler>`
      Throws:
        `java.lang.Exception`

    - #### equals

          public boolean equals(java.lang.Object o)

      Overrides:
        `equals` in class `java.lang.Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `java.lang.Object`

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

Copyright © 2009-2022. Redwood Software Inc. All rights reserved.